//
// Adaptive Prediction Trees
// Image Coding
//
// Version 1.0
//
// Based on...
//
// Binary tree predictive coding versions 1-5
//
// John Robinson 1994, 1995, 1997, 2002, 2003, 2004
// john@userport.com
//

// The publicly usable functions
#include <cstdio>

namespace apt1_0 {
int apt_decode(unsigned char ***components, FILE *cfp,
int& rows, int& cols, int& pnmtype, int& topmaxval, char **comment,
int &bytesperpel);

void apt_finish(unsigned char ***components, int truerows, int truecols,
int pnmtype);

int apt_encode(unsigned char ***incomponents, FILE *cfp,
int rows, int cols, int pnmtype,
int quality, const char *comment, const int numbits);
};
